Subject: Re: git push --delete <url> <branch> fails if run outside a repository

From: Junio C Hamano <[email-masked]>
Date: Mon, 06 Jun 2022 10:29:50 -0700

Adam Dinwoodie <[email-masked]> writes:

> When using `git push`, rather than specifying a remote by name, one can
> also specify a remote by URL, and this includes when the only operations
> being performed are to delete refs on the remote.  This doesn't require
> any information about any local repository, but it fails unless the
> command is run from within an existing local Git repo.
>
> This seems like a bug to me: there's no reason this shouldn't work.

Perhaps.

While I fully agree with you that there is no reason this shouldn't
work, I am not sure if there is a good reason to make it work,
either.  Any other push needs to have objects on _our_ side and
requiring you to be in a repository is a sure way to do so.  I am
not convinced that it is worth our engineering effort to add a
special case for this, but patches that are cleanly done without
making too much damage to the existing code in readability and
maintainability are probably welcome.

Thanks.